ApplicationShorter
Signature
export declare class ApplicationShorter extends BaseShorterProperties
0No properties.
Methods
13Methods
listEmojis(force?: boolean): Promise<ApplicationEmojiStructure[]>;Lists the emojis for the application.
Returns
The emojis.
getEmoji(emojiId: string, force?: boolean): Promise<ApplicationEmojiStructure>;Gets an emoji for the application.
Parameters
emojiId- The ID of the emoji.
Returns
The emoji.
createEmoji(raw: ApplicationEmojiResolvable): Promise<ApplicationEmojiStructure>;Creates a new emoji for the application.
Parameters
body.name- The name of the emoji.
body.image- The [image data string](https://discord.com/developers/docs/reference#image-data) of the emoji.
Returns
The created emoji.
editEmoji(emojiId: string, body: RESTPatchAPIApplicationEmojiJSONBody): Promise<ApplicationEmojiStructure>;Edits an emoji for the application.
Parameters
emojiId- The ID of the emoji.
body.name- The new name of the emoji.
Returns
The edited emoji.
deleteEmoji(emojiId: string): Promise<void>;Deletes an emoji for the application.
Parameters
emojiId- The ID of the emoji.
listEntitlements(query?: RESTGetAPIEntitlementsQuery): Promise<EntitlementStructure[]>;Lists the entitlements for the application.
Parameters
query- The query parameters.
consumeEntitlement(entitlementId: string): Promise<undefined>;Consumes an entitlement for the application.
Parameters
entitlementId- The ID of the entitlement.
createTestEntitlement(body: RESTPostAPIEntitlementBody): Promise<EntitlementStructure>;Creates a test entitlement for the application.
Parameters
body- The body of the request.
deleteTestEntitlement(entitlementId: string): Promise<undefined>;Deletes a test entitlement for the application.
Parameters
entitlementId- The ID of the entitlement.
listSKUs(): Promise<RESTGetAPISKUsResult>;Lists the SKUs for the application.
Returns
The SKUs.
fetch(): Promise<ApplicationStructure>;edit(body: RESTPatchCurrentApplicationJSONBody): Promise<ApplicationStructure>;getActivityInstance(instanceId: string): Promise<RestGetAPIApplicationActivityInstanceResult>;